Subject: Re: Second edition 10589 spec question

From: "R.Murali" <[email-masked]>
Date: Fri, 04 Jun 1999 13:29:19 EDT

>Fine.  It basically conveys  that any circuit id change will restart
>point to point circuit i.e. ISIS will see the interface and hence
>adjacency going down and  coming up.
>It  means that you can never see a circuit ID change in "Accept"
>state.
>
>-Rajesh
>
Then what is the use of item c) and d)?

Thanks,
Murali
>
>Lester Ginsberg wrote:
>
> > What you say is strictly correct. However, ISIS makes some explicitly
> > stated assumptions about the service provided by a point-to-point
> > subnetwork. (See Section 6.7.2 in the 1992 spec) These require that
> > the subnetwork be able to detect start-up of the remote end of a link
> > and send notification to the routing layer that this has occurred. The
> > routing layer, in turn, would of course take down any adjacency
> > associated with a circuit on which it has received such a notification.
> > This would prevent the situation you describe below from ever
> > occurring.
> >
> > Rajesh Saluja writes:
> >  > This calculation does not look like taking care of circuit id change 
>always.
> >  > Suppose A and B are two ISs  and A>B. Suppose they both make 
>adjacency on circuit
> >  > 1.
> >  > Since A>B, CircuitID status = A1
> >  > Now suppose B has rebooted or deleted the circuit and recreated it 
>with circuit 2.
> >  > When A
> >  > receives Hello PDU, it will again calculate CircuitID status which 
>will be A1
> >  > again because
> >  > of higher System ID.
> >  >

_______________________________________________________________
Get Free Email and Do More On The Web. Visit http://www.msn.com

---

From: Rajesh Saluja <[email-masked]>
Date: Mon, 07 Jun 1999 10:23:52 -0400

As Lester has pointed out that normally you won't detect circuitID change
because the underlying point-to-point layer will detect the startup and
it will bounce the interface. But as Dave has pointed out, it is not true for
all
point-to-point circuits. One example is SONET links as discussed in 3way
draft in which case you will probably observe a circuitid change without
interface going down.
BUT I do agree that the algorithm defined in 10589 ( item c) will not
necessarily
take care of circuit ID  change. I will also be interested in understanding if

somebody on the list can explain this.

Thanks,
Rajesh

--

-------------------------------------------------------------
Rajesh Saluja
Nortel Networks Inc 600 Technology Park Billerica, MA  01821
Ph: (978) 288-7791      Fax: (978) 670-8760
--------------------------------------------------------------